Bug 519739

Summary: Keyboard setting from install are not respected
Product: [Fedora] Fedora Reporter: Håvard Wigtil <havardw>
Component: system-config-keyboardAssignee: Lubomir Rintel <lkundrak>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 12CC: assteve, igor, kidnapper, kmaraas, lkundrak, mike.cloaked, nushio, vanmeeuwen+fedora
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-12-05 01:32:39 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Håvard Wigtil 2009-08-27 11:51:15 EDT
Description of problem:
GDM defaults to US keyboard layout on login, even though Norwegian keyboard was selected in the installer. The console also has US keyboard layout.


Version-Release number of selected component (if applicable):
Fedora 12 Alpha

How reproducible: Always


Steps to Reproduce:
1. Install Fedora, select Norwegian keyboard layout in installer
  
Actual results:
US keyboard layout as default on login, even for a newly credted account

Expected results:
Norwegian keyboard as default

Additional info:
/etc/grub.conf has "KEYBOARDTYPE=pc KEYTABLE=no" for the newly installed kernel, so it seems that the settings are passed on but not used in all places.
Comment 1 Chris Lumens 2009-08-27 15:08:01 EDT
What does /etc/sysconfig/keyboard look like?
Comment 2 Håvard Wigtil 2009-08-27 15:28:16 EDT
There is no /etc/sysconfig/keyboard, so I suppose that might be the problem.
The installation was done from the i686 Live image.
Comment 3 Igor Pires Soares 2009-10-14 20:28:26 EDT
The same is happening with Brazilian keyboard layout. This might be a high severity bug, since it could affect every localized installation of Fedora.

I guess this not a system-config-keyboard bug. GDM defaults to US keyboard layout even on live images created with custom kickstart files. It also defaults to US keyboard every time I try log in.
Comment 4 Major Péter 2009-10-24 21:17:07 EDT
I have the same issue here, with Hungarian layout in 12 beta (x86_64 DVD install).
Comment 5 Kjartan Maraas 2009-10-25 04:38:11 EDT
GDM "forgets" my keyboard layout between logins too. I'm using Norwegian and chose that during install.
Comment 6 Igor Pires Soares 2009-11-01 15:14:05 EST
(In reply to comment #5)
> GDM "forgets" my keyboard layout between logins too. I'm using Norwegian and
> chose that during install.  

Kjartan, this issue was fixed on bug #530452.

Anyway, the behavior is still broken when using kickstart files.
Comment 7 Bug Zapper 2009-11-16 06:46:24 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Alexander Stevenson 2010-05-01 08:13:49 EDT
I am having the same problem in Fedora 13. Is this the place to mention this?
Comment 9 Mike C 2010-08-15 16:39:46 EDT
Confirm that I have had the same issue in f13 for a UK keyboard setting.... reverts to US on login through gdm....  using gnome.
Comment 10 Mike C 2010-08-15 18:22:00 EDT
One additional strange behaviour - in GDM if I switch to the USA selection
before logging in then it uses the UK keyboard mapping!  This implies that
there may be a pair of lines or filenames swapped to the opposite of what is
required somewhere?
Comment 11 Mike C 2010-08-16 02:37:17 EDT
I think I have figured out what is going on - and that the bug is not in dgm or gnome but in the installer.

What appears to have happened is that during the install anaconda decided that the keyboard was US.  This makes no difference until a password containing non alphameric characters is entered such as the normal user password at firstboot.

Then when the user selects the UK keyboard the password has characters that did not match for any of the non alphameric characters with the UK selected keyboard.

This also explains why the screensaver requires the same characters taken from keys for the US key positions to unlock the screensaver.

To test this I switched to the UK keyboard in gnome and then reset the password using the UK normal keyboard keys.  Then after logging out and selecting the UK keyboard in gdm, login works correctly for the password.  Within gnome the UK keyboard is now retained, and the screensaver password works with the UK keys.

Hence this is definitely a bug in anaconda and not in gdm or gnome, nor in control-center I believe.
Comment 12 Mike C 2010-08-16 02:55:19 EDT
I also checked the anaconda-ks.cfg file in root and it shows that the install
keyboard was selected as "keyboard us".  This is definitely an anaconda bug and
the component should be reassigned to anaconda.
Comment 13 Mike C 2010-08-16 04:35:53 EDT
I just did another install on a different machine and I had no keyboard
problems - so I am now not sure if I perhaps did not select the UK keyboard on
the initial install - unless I reinstalled on the machine where I had the
problem I now can't reproduce the problem I had!  However the system I had uses
a usb keyboard and the others were laptops where there was no problem. If it is
my clumsiness then apologies for the noise!
Comment 14 Bug Zapper 2010-11-04 06:20:33 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 15 Bug Zapper 2010-12-05 01:32:39 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.